1. Short Links
GatewayV4-API
  • Gateway - API
    • Home
    • Webhook - Reply
    • Webhook - Status
    • Contacts
      • List
    • Routes
      • Routes
    • Reports
      • Received Messages Report
      • Sent Messages Report
      • Messages Requests Report
      • Cancel Messages Request
    • RCS
      • Send RCS (File) Message
      • Send RCS (Carrossel) Message
      • Send RCS (Card) Message
      • Send RCS (Basic) Message
      • Send RCS (Single) Message
    • SMS
      • Send SMS Message
    • Balance
      • GetBalance
    • Token
      • Create API Token
      • Validate API Token
    • Child User
      • Create Child User
    • Short Links
      • Create Short Link
        POST
      • Get Short Links
        GET
      • Update Short Link
        PUT
      • Delete Short Link
        DELETE
    • Schemas
      • Core
        • CoreResult
      • Contacts
        • Contact
      • Routes
        • Routes
      • Reports
        • Received
        • Sent
        • MessageRequestsReportResult
        • CancelMessagesRequestInput
      • RCS
        • Send RCS File
        • Send RCS Basic
        • Send RCS carousel
        • Send RCS card
      • SMS
        • Send Sms
      • Balance
        • BalanceResult
      • Token
        • CreateApiTokenResponse
        • ValidateApiTokenResponse
      • ChildUser
        • CreateChildUserRequest
        • PublicChildUser
      • Short Links
        • Short Link Object Response
  1. Short Links

Get Short Links

GET
/short-links
Lista os links curtos já criados.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200
application/json
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.comtele.com.br/short-links?skip=undefined&limit=&filter=undefined' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "hasError": true,
    "message": "string",
    "object": [
        {
            "id": 0,
            "code": "string",
            "shortUrl": "string",
            "destinationUrl": "string",
            "createdAt": "string",
            "updatedAt": "string",
            "accessCount": 0,
            "humanAccessCount": 0,
            "botAccessCount": 0
        }
    ],
    "totalRecords": 0,
    "errors": [
        "string"
    ]
}
Modified at 2026-07-21 13:29:36
Previous
Create Short Link
Next
Update Short Link
Built with